Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenCommandAction

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenContributionItem, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenCommandActionImpl

    public interface GenCommandAction

extends GenContributionItem

A representation of the model object 'Gen Command Action'.

The following features are supported:

- `Command Identifier`
- `Name`

See Also:
  `GMFGenPackage.getGenCommandAction()`
** Generated **
Model:

Method Summary
`java.lang.String` `getCommandIdentifier()` Returns the value of the 'Command Identifier' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setCommandIdentifier(java.lang.String value)` Sets the value of the '`Command Identifier`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContributionItem
`getOwner`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCommandIdentifier

    java.lang.String getCommandIdentifier()

  Returns the value of the 'Command Identifier' attribute.

  If the meaning of the 'Command Identifier' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Command Identifier' attribute.
  See Also:
    `setCommandIdentifier(String)`, `GMFGenPackage.getGenCommandAction_CommandIdentifier()`
  ** Generated **
  Model:
    required="true"

### setCommandIdentifier

    void setCommandIdentifier(java.lang.String value)

  Sets the value of the '`Command Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'Command Identifier' attribute.
  See Also:
    `getCommandIdentifier()`
  ** Generated **

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGenPackage.getGenCommandAction_Name()`
  ** Generated **
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.